Subject: Re: bug#78205: [PATCH] Recenter for the calendar

From: Manuel Giraud <[email-masked]>
Date: Sat, 03 May 2025 16:58:29 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 03 May 2025 13:59:49 +0200
>> 
>> +@kindex C-l @r{(Calendar mode)}
>> +@findex calendar-recenter-first-last
>> +  The command @kbd{C-l} (@code{calendar-recenter-first-last}) scrolls
>> +the calendar so that the month of the date at point is centered (i.e.,
>> +it is placed in second position of the three displayed months).  With a
>> +second invocation, this command puts this same month on the left hand
>> +side in the calendar view and a third invocation puts it on the right
>> +hand side.  This is in analogy with @code{recenter-top-bottom}.
>
> I'd suggest to simplify:
>
>   The command @kbd{C-l} (@code{calendar-recenter-first-last}) scrolls
>   the calendar on display so that the month of the date at point is
>   centered horizontally.  Next invocation of this command puts that
>   month on the leftmost position, and another invocation puts it on
>   the rightmost position.  Subsequent invocations reuse the same order
>   in a cyclical manner.

Neat.  Your english is better than mine ;-) But before I do this
modification, do you think that the command name is still appropriate?
-- 
Manuel Giraud